Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHouseAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHouseAccount

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class SmartHouseAccount extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.json.JSONObject`
  `dataToJson()`
  `String`
  `getComment()`
  `int`
  `getContractObjectId()`
  `String`
  `getData()`
  `int`
  `getExtEntityId()`
  `SmartHouseAccountState`
  `getState()`
  `SmartHouseAccountStatus`
  `getStatus()`
  `String`
  `getTitle()`
  `int`
  `getType()`
  `SmartHouseAccount`
  `setComment(String comment)`
  `SmartHouseAccount`
  `setContractId(int contractId)`
  `SmartHouseAccount`
  `setContractObjectId(int contractObjectId)`
  `SmartHouseAccount`
  `setData(String data)`
  `SmartHouseAccount`
  `setExtEntityId(int extEntityId)`
  `SmartHouseAccount`
  `setId(int id)`
  Устанавливает id объекта
  `SmartHouseAccount`
  `setState(SmartHouseAccountState state)`
  `SmartHouseAccount`
  `setStatus(SmartHouseAccountStatus status)`
  `SmartHouseAccount`
  `setTitle(String title)`
  `SmartHouseAccount`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseAccount

    public SmartHouseAccount()

- ## Method Details

  - ### dataToJson

    public org.json.JSONObject dataToJson()

  - ### getComment

    public String getComment()

  - ### getContractObjectId

    public int getContractObjectId()

  - ### getData

    public String getData()

  - ### getExtEntityId

    public int getExtEntityId()

  - ### getState

    public SmartHouseAccountState getState()

  - ### getStatus

    public SmartHouseAccountStatus getStatus()

  - ### getTitle

    public String getTitle()

  - ### getType

    public int getType()

  - ### setComment

    public SmartHouseAccount setComment(String comment)

  - ### setContractId

    public SmartHouseAccount setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setContractObjectId

    public SmartHouseAccount setContractObjectId(int contractObjectId)

  - ### setData

    public SmartHouseAccount setData(String data)

  - ### setExtEntityId

    public SmartHouseAccount setExtEntityId(int extEntityId)

  - ### setId

    public SmartHouseAccount setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setState

    public SmartHouseAccount setState(SmartHouseAccountState state)

  - ### setStatus

    public SmartHouseAccount setStatus(SmartHouseAccountStatus status)

  - ### setTitle

    public SmartHouseAccount setTitle(String title)

  - ### setType

    public SmartHouseAccount setType(int type)